<div class="container-fluid">
	<div class="row">
		<div class="col-12 manager-logo-header">
			<img src="assets/logotipo-baja.png">
		</div>
		<div class="col-12 manager-start-body">
			<h3 class="purple-text mb-3">Hola Efraín , bienvenido al manager center de Bravum</h3>
			<p class="purple-text">En este espacio podrás crear restaurantes, personalizar menús, agregar sucursales, crear y administrar ofertas y promociones y mucho más...</p>
			<button class="btn btn-add-store" (click)="AgregarRestaurantModal(AgregarRestaurante)">Agregar un restaurant <img src="/assets/icono-mas.png"></button>
		
      <!-- restaurant item -->
			<div class="card rest-card" *ngFor="let item of listRestaurant">
			  <div class="row g-0">
			    <div class="col-3">
			      <img src="{{item.Logo}}" class="img-responsive" width="100px" height="100px">
			    </div>
			    <div class="col-5">
			      <div class="card-body">
			        <h5 class="card-title">{{item.NombreComercio}}</h5>
			        <p class="card-text">{{item.MarcaComercial}}</p>
			        <p class="card-text"><small class="text-muted">150 productos/4 catálogos/10 sucursales </small></p>
			      </div>
			    </div>
			    <div class="col-4 rest-card-btnbox">
			    	<div class="btn-group" >
              <button type="button" class="btn" (click)="Administrar(item)"><i class="fa fa-eye"></i></button>
              <button type="button" class="btn" (click)="Editar(item)"><i class="fa fa-edit"></i></button>
              <button type="button" class="btn" (click)="EliminarRestaurante(item)"><i class="fa fa-trash"></i></button>
            </div>
			    </div>
			  </div>
			</div>
    </div>

    
		<button class="btn btn-info">?</button>
	</div>
</div>


<!-- manager store form -->
<div class="container-fluid" *ngIf = "isShow">
	<div class="row">
		<div class="col-8 mx-auto manager-start-form">
			<h4 class="purple-text">Completa los datos para agregar una nueva sucursal</h4>
			<p class="purple-text">Los campos marcados con * son obligatorios</p>
			<form class="row g-3">
			  <div class="col-4">
			    <label for="country" class="form-label">País</label>
		     	<select id="country" class="form-select">
			      <option>Chile</option>
			      <option>Opción 2</option>
			    </select>
			  </div>
			  <div class="col-4">
			    <label for="typeStore" class="form-label">Tipo</label>
		    	<select id="typeStore" class="form-select">
			      <option>No sé</option>
			      <option>Opción 2</option>
			    </select>
			  </div>
			  <div class="col-4">
			  	<label for="numberOne" class="form-label">Número</label>
			    <input type="number" class="form-control" id="numberOne" placeholder="Ej: 12345">
			  </div>
			  <div class="col-12">
			    <label for="fullNameOne" class="form-label">Nombre completo</label>
			    <input type="text" class="form-control" id="fullNameOne" placeholder="Escribe tu nombre">
			  </div>
			  <div class="col-12">
			    <label for="brandOne" class="form-label">Marca comercial</label>
			    <input type="text" class="form-control" id="brandOne" placeholder="Escribe un nombre">
			  </div>
			  <div class="col-12 select-file-button">
			    <label for="inputGroupFile01">Sube el logo de tu comercio</label>
  				<input type="file" id="inputGroupFile01">
			  </div>
			  <div class="col-12">
			    <label for="brandOne" class="form-label">Marca comercial</label>
			    <input type="text" class="form-control" id="brandOne" placeholder="Escribe un nombre">
			  </div>
			  <div class="col-12">
			    <button type="submit" class="btn mt-3">Guardar y continuar</button>
			  </div>
			</form>
		</div>
	</div>
</div>


<!-- AGREGAR RESTAURANTE -->
<ng-template #AgregarRestaurante let-modal>
  <div class="modal-header">
    <p class="modal-title" style="display: block; margin: auto; font-size: 1.5rem; color: #1F6893;">Completa los datos para crear tu Restaurant</p>
  </div>
  <div class="modal-body">
      <form #dataForm="ngForm">
          <div class="row">
    
            <div class="col-4">
              <label for="country" class="form-label">País</label>
              <select class="form-control" name="IdPais" id="" [(ngModel)]="dataModel.IdPais">
                  <option value="1">Colombia</option>
              </select>
    
    
            </div>
    
            <div class="col-4">
              <label for="typeStore" class="form-label">Tipo de comercio</label>
    
              <select class="form-control"  name="IdComercio" id="" [(ngModel)]="dataModel.IDTipoComercio">
                  <option value="1">Restaurant</option>
                  <option value="2">Sucursal</option>
              </select>
    
            </div>
            <div class="col-4">
              <label for="numberOne" class="form-label">Rut del restaurant</label>
              <input [(ngModel)]="dataModel.TipoVAT" type="number" class="form-control" id="numberOne" name="numberOne"
                placeholder="Ej: 12345">
            </div>
            <div class="col-12">
              <label for="fullNameOne" class="form-label">Nombre restaurant</label>
              <input [(ngModel)]="dataModel.NombreComercio" type="text" class="form-control" id="fullNameOne" name="fullNameOne"
                placeholder="Escribe tu nombre">
            </div>
            <div class="col-12">
              <label for="brandOne" class="form-label">Marca comercial</label>
              <input [(ngModel)]="dataModel.MarcaComercial" type="text" class="form-control" id="brandOne" name="brandOne" 
                placeholder="Escribe un nombre">
            </div>
            <div class="col-12">
              <div class="form-control" style="background-color: #F3F7FA; height: 8rem; margin-top: 1rem;">
                  <div class="form-group row" style="margin-top: 1rem;">
                      <label for="inputPassword" class="col-sm-7 col-form-label">Sube una foto del restaurante</label>
                      <div class="col-sm-12" >
                          <input (change)="onSelectFile($event)" style="float: right;" type="file" class="form-control" title=" " id="imgRestaurant">
                      </div>
                    </div>
              </div>
            </div>
    
            <div class="col-12">
              <div class="form-control" style="background-color: #F3F7FA; height: 5rem; margin-top: 1rem;">
                  <div class="form-group row" style="margin-top: 1rem;">
                      <label for="inputPassword" class="col-sm-8 col-form-label">¿Atiende a todo público?</label>
                      <div class="col-sm-4">
                          <div class="form-check form-check-inline">
                              <input [(ngModel)]="dataModel.AtiendePublico" name="pet" class="form-check-input" type="checkbox" id="inlineCheckbox1" value="option1">
                              <label class="form-check-label" for="inlineCheckbox1">Si</label>
                          </div>
                          <div class="form-check form-check-inline">
                              <input class="form-check-input" type="checkbox" id="inlineCheckbox2" value="option2">
                              <label class="form-check-label" for="inlineCheckbox2">No</label>
                          </div>
                      </div>
                  </div>
              </div>
            </div>

            <h5 class="purple-text">Contactabilidad</h5>
            <div class="col-12">
              <label for="direccion" class="form-label">Dirección* </label>
              <input type="text" [(ngModel)]="dataModel.Direcion" class="form-control" id="direccion" required name="direccion"
                 placeholder="Escribe la dirección">
            </div>
            <div class="col-12">
              <label for="email" class="form-label">Correo electrónico *</label>
              <input type="text" [(ngModel)]="dataModel.Correo" class="form-control" id="email" required name="email"
                placeholder="">
            </div>
            <div class="col-12">
              <label for="redsocial" class="form-label">Agrega una Red social</label>
              <input type="text" class="form-control" id="redsocial" name="redsocial"
                placeholder="">
            </div>
    
    
    
            <div class="col-6">
    
              <div class="form-group position-relative">
                <label for="telefonofijo" class="form-label">Teléfono Fijo*</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="telefonofijo">+562</span>
                  </div>
                  <input type="text" id="telefonofijo" required name="telefonofijo"
                    class="form-control"  [(ngModel)]="dataModel.TelefonoFijo" id="telefonofijo" placeholder="" aria-describedby="telefonofijoPrepend">
    
                </div>
              </div>
            </div>
            <div class="col-6">
    
              <div class="form-group position-relative">
                <label for="telefonomovil" class="form-label">Teléfono Móvil*</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="telefonomovil">+569</span>
                  </div>
                  <input type="text" id="telefonomovil" required name="telefonomovil" 
                    class="form-control"  [(ngModel)]="dataModel.TelefonoMovil" id="telefonomovil" placeholder="" aria-describedby="telefonomovilPrepend">
    
                </div>
              </div>
            </div>
            <div class="col-12">
              <label for="paginaweb" class="form-label">Página web</label>
              <input type="text" class="form-control" id="paginaweb" name="paginaweb" 
                placeholder="">
            </div>
            <div class="col-12">
              <label for="ofertagastronomica" class="form-label">Oferta gastronómica*</label>
              <input type="text" class="form-control" id="ofertagastronomica" required name="ofertagastronomica"
               placeholder="">
            </div>
    
          </div>
    
        </form>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-light" (click)="modal.close('Close click')">Cerrar</button>
    <button type="button" class="btn btn-primary " (click)="AgregarRestaurant()">Agregar</button>
  </div>
</ng-template>

<!-- EDITAR RESTAURANTE -->
<ng-template #EditaRestaurante let-modal>
  <div class="modal-header">
    <p class="modal-title" style="display: block; margin: auto; font-size: 1.5rem; color: #1F6893;">Edita los datos de tu Restaurant</p>
  </div>
  <div class="modal-body">
      <form #dataForm="ngForm">
          <div class="row">
    
            <div class="col-4">
              <label for="country" class="form-label">País</label>
              <select class="form-control" name="IdPais" id="" [(ngModel)]="dataModel.IdPais">
                  <option value="1">Colombia</option>
              </select>
    
    
            </div>
    
            <div class="col-4">
              <label for="typeStore" class="form-label">Tipo de comercio</label>
    
              <select class="form-control"  name="IdComercio" id="" [(ngModel)]="dataModel.IDTipoComercio">
                  <option value="1">Restaurant</option>
                  <option value="2">Sucursal</option>
              </select>
    
            </div>
            <div class="col-4">
              <label for="numberOne" class="form-label">Rut del restaurant</label>
              <input [(ngModel)]="dataModel.TipoVAT" type="number" class="form-control" id="numberOne" name="numberOne"
                placeholder="Ej: 12345">
            </div>
            <div class="col-12">
              <label for="fullNameOne" class="form-label">Nombre restaurant</label>
              <input [(ngModel)]="dataModel.NombreComercio" type="text" class="form-control" id="fullNameOne" name="fullNameOne"
                placeholder="Escribe tu nombre">
            </div>
            <div class="col-12">
              <label for="brandOne" class="form-label">Marca comercial</label>
              <input [(ngModel)]="dataModel.MarcaComercial" type="text" class="form-control" id="brandOne" name="brandOne" 
                placeholder="Escribe un nombre">
            </div>
            <div class="col-12">
              <div class="form-control" style="background-color: #F3F7FA; height: 8rem; margin-top: 1rem;">
                  <div class="form-group row" style="margin-top: 1rem;">
                      <label for="inputPassword" class="col-sm-7 col-form-label">Sube una foto del restaurante</label>
                      <div class="col-sm-12" >
                          <input style="float: right;" type="file" class="form-control" title=" " id="imgRestaurant">
                      </div>
                    </div>
              </div>
            </div>
    
            <div class="col-12">
              <div class="form-control" style="background-color: #F3F7FA; height: 5rem; margin-top: 1rem;">
                  <div class="form-group row" style="margin-top: 1rem;">
                      <label for="inputPassword" class="col-sm-8 col-form-label">¿Atiende a todo público?</label>
                      <div class="col-sm-4">
                          <div class="form-check form-check-inline">
                              <input [(ngModel)]="dataModel.AtiendePublico" name="pet" class="form-check-input" type="checkbox" id="inlineCheckbox1" value="option1">
                              <label class="form-check-label" for="inlineCheckbox1">Si</label>
                          </div>
                          <div class="form-check form-check-inline">
                              <input class="form-check-input" type="checkbox" id="inlineCheckbox2" value="option2">
                              <label class="form-check-label" for="inlineCheckbox2">No</label>
                          </div>
                      </div>
                  </div>
              </div>
            </div>

            <h5 class="purple-text">Contactabilidad</h5>
            <div class="col-12">
              <label for="direccion" class="form-label">Dirección* </label>
              <input type="text" class="form-control" [(ngModel)]="dataModel.Direcion" id="direccion" required name="direccion"
                 placeholder="Escribe la dirección">
            </div>
            <div class="col-12">
              <label for="email" class="form-label">Correo electrónico *</label>
              <input type="text" [(ngModel)]="dataModel.Correo" class="form-control" id="email" required name="email"
                placeholder="">
            </div>
            <div class="col-12">
              <label for="redsocial" class="form-label">Agrega una Red social</label>
              <input type="text" class="form-control" id="redsocial" name="redsocial"
                placeholder="">
            </div>
    
    
    
            <div class="col-6">
    
              <div class="form-group position-relative">
                <label for="telefonofijo" class="form-label">Teléfono Fijo*</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="telefonofijo">+562</span>
                  </div>
                  <input type="text" [(ngModel)]="dataModel.TelefonoFijo" id="telefonofijo" required name="telefonofijo"
                    class="form-control" id="telefonofijo" placeholder="" aria-describedby="telefonofijoPrepend">
    
                </div>
              </div>
            </div>
            <div class="col-6">
    
              <div class="form-group position-relative">
                <label for="telefonomovil" class="form-label">Teléfono Móvil*</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="telefonomovil">+569</span>
                  </div>
                  <input type="text" [(ngModel)]="dataModel.TelefonoMovil" id="telefonomovil" required name="telefonomovil" 
                    class="form-control" id="telefonomovil" placeholder="" aria-describedby="telefonomovilPrepend">
    
                </div>
              </div>
            </div>
            <div class="col-12">
              <label for="paginaweb" class="form-label">Página web</label>
              <input type="text" class="form-control" id="paginaweb" name="paginaweb" 
                placeholder="">
            </div>
            <div class="col-12">
              <label for="ofertagastronomica" class="form-label">Oferta gastronómica*</label>
              <input type="text" class="form-control" id="ofertagastronomica" required name="ofertagastronomica"
               placeholder="">
            </div>
    
          </div>
    
        </form>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-light" (click)="modal.close('Close click')">Close</button>
    <button type="button" class="btn btn-primary " (click)="EditarRestaurant()">Actualizar</button>
  </div>
</ng-template>